local _, addonTable = ...

local CONSTANTS = Spearity.Enum
local pairs = pairs

local HolidayEvents = {}

function HolidayEvents.IsItemAvailableToday(item)
	if not item.holidayEvents then
		return true
	end

	for _, calendarEventID in pairs(item.holidayEvents) do
		if Spearity.activeHolidayEvents[calendarEventID] then
			return true
		end
	end

	return false
end

Spearity.HolidayEvents = HolidayEvents
return HolidayEvents
